Bug 95845 - Use CommandInfoProvider to receive UNO command labels/tooltips
Summary: Use CommandInfoProvider to receive UNO command labels/tooltips
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: framework (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.2.0 target:5.3.0 target:5.4.0
Keywords: difficultyBeginner, easyHack, skillCpp, topicCleanup
Depends on:
Blocks:
 
Reported: 2015-11-16 08:12 UTC by Samuel Mehrbrodt (CIB)
Modified: 2017-08-28 12:30 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2015-11-16 08:12:10 UTC
To receive labels/tooltips from UNO commands, different methods are used across the codebase.
The preferred way is to use CommandInfoProvider (svtools/source/misc/commandinfoprovider.cxx).

The task is to replace usages of DefaultCommandDescriptionProvider (forms/source/helper/commanddescriptionprovider.cxx) and theUICommandDescription (opengrok.libreoffice.org/search?q=theUICommandDescription) with CommandInfoProvider.
Comment 1 Commit Notification 2015-11-17 10:11:05 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0c48c809f09e74e79c9f8dc4c22958147f591921

tdf#95845 Use CommandInfoProvider to receive command properties

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2015-11-17 11:13:35 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=81ff7cfddb8e6786529f0a878007e9d399d4908a

tdf#95845 Add methods for menu labels to CommandInfoProvider

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Robinson Tryon (qubit) 2015-12-14 07:07:16 UTC Comment hidden (obsolete)
Comment 4 Susobhan Ghosh 2016-01-07 17:36:13 UTC
Hi, I'd like to take up this issue!
Comment 5 jani 2016-01-08 07:29:15 UTC
(In reply to Susobhan Ghosh from comment #4)
> Hi, I'd like to take up this issue!

Looking forward to see a patch, please have a careful look at what is missing, as some of this has already been done.
Comment 6 Commit Notification 2016-01-14 07:38:06 UTC
susobhang70 committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=63551177041bd6f632f7e6cc8f6a87365236c658

tdf#95845 Use CommandInfoProvider to receive UNO command labels

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2016-01-14 15:18:37 UTC
Susobhan Ghosh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=98887155c0fd209ed60e181f745bf00fb2d69ab7

tdf#95845 Use CommandInfoProvider to receive UNO command labels

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Robinson Tryon (qubit) 2016-02-18 14:52:18 UTC Comment hidden (obsolete)
Comment 9 Commit Notification 2016-03-14 13:50:20 UTC
Susobhan Ghosh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bf8f926acc8afd6a2dcd2b889d427c01e06dbf85

tdf#95845 Use CommandInfoProvider to receive UNO command labels

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2016-04-15 13:04:05 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7ae232623a423b078dd54d06e5fe52e89994b391

tdf#95845 Use CommandInfoProvider in forms

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Samuel Mehrbrodt (CIB) 2016-04-16 06:05:41 UTC
This bug is still open, these are the remaining instances: http://opengrok.libreoffice.org/search?q=theUICommandDescription&project=core&defs=&refs=&path=&hist=
Comment 12 Commit Notification 2016-10-06 20:56:55 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ff085ed8fd6438d855526a8a4d699960e4d3cc73

tdf#95845 Use CommandInfoProvider

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2017-04-23 16:56:16 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=94490fdf76ff9aec05774a6dbbb0b42d87812969

tdf#95845 Use CommandInfoProvider

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Shinnok 2017-08-28 12:30:28 UTC
A polite ping, still working on this issue?

It looks like there's a handful of more places where theUICommandDescription is still used.